# -*- coding: utf-8 -*-

from django.conf.urls.defaults import patterns, include, url
import django.contrib.auth.models as auth_models
from django.views.generic import TemplateView, RedirectView

#from django.contrib import admin
#admin.autodiscover()
from django.conf import settings
import contacts.admin as contacts_admin
import references.admin as ref_admin
import contacts.views as cviews
import contacts.urls as c_urls
from contacts.admin_site import site as gab_site

# On utilise le AdminSite personnalisé contacts_admin.site pour
# enregistrer les modèles auxquels on veut avoir accès.
contacts_admin.register_models(gab_site)
ref_admin.register_models(gab_site)


urlpatterns = patterns(
    '',
    # Examples:
    # url(r'^$', 'basecontacts_gabnor.views.home', name='home'),
    # url(r'^basecontacts_gabnor/', include('basecontacts_gabnor.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    #url(r'^admin/', include(admin.site.urls)),
    #url(r'^', include(admin.site.urls)),
    url(r'^changelog/$',
        TemplateView.as_view(template_name="changelog.html"),
        {}, name="changelog"),

    url(r'^uploads/(?P<path>.*)$',
        'contacts.views.my_serve',
        {'document_root' : settings.MEDIA_ROOT,
         'show_indexes' : False},
        name="serve_upload"),

    url(r'^private/', include(gab_site.urls)),

    url(r'^', include(c_urls)),

    url(r'^_test/(?P<code>\w+)/$', cviews.test_view, {}, name="test_view"),

    url(r'^_test/$', cviews.test_view, {}, name="test_view"),

    url(r'^selectable/', include('selectable.urls')),
)

